monolog:
    channels: ['cron']
    handlers:
        cron:
            type: stream
            path: "%kernel.logs_dir%/cron-%kernel.environment%.log"
            level: debug
            channels: ["cron"]
        main:
            type: fingers_crossed
            action_level: error
            handler: nested
            excluded_404s:
                # regex: exclude all 404 errors from the logs
                - ^/
        nested:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.log"
            level: debug
        console:
            type: console
            process_psr_3_messages: false
            channels: ["!event", "!doctrine"]
        deprecation:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.deprecations.log"
        deprecation_filter:
            type: filter
            handler: deprecation
            max_level: info
            channels: ["php"]
        main_critical:
            type:           fingers_crossed
            action_level:   critical
            handler:        grouped_critical
        grouped_critical:
            type:           group
            members:        [streamed_critical, swift_critical]
        streamed_critical:
            type:           rotating_file
            max_files:      10
            path:           "%kernel.logs_dir%/%kernel.environment%.critical.log"
            level:          info
        swift_critical:
            type:           swift_mailer
            from_email:     "%env(EMAIL_ERROR_FROM)%"
            to_email:       "%env(EMAIL_ERROR)%"
            subject:        '[Kohinos] An Error Occurred! %%message%%'
            level:          debug
            formatter:      monolog.formatter.html
            content_type:   text/html